Subject: Re: [DNSOP] Second Working Group Last Call for draft-ietf-dnsop-extended-error
From: Petr Špaček <[email-masked]>
To: Tim Wicinski <[email-masked]>, Wes Hardaker <[email-masked]>, dnsop <[email-masked]>
Date: Mon, 21 Oct 2019 19:48:01 +0200
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

On 21. 10. 19 19:18, Tim Wicinski wrote:
> 
> All
> 
> The second WGLC period ended, and I needed a bit of time to go over all the comments and make sure they were all addressed, and that appears to be true.
> 
> The only thing I see are some comments were raised after the -12 version.  They've been addressed and can be updated on its way to IETF LC.  If someone thinks
> I am incorrect please speak up. 

I hate to rain on this parade, but I think the draft in its current form has two major problems:

1. Forwarding semantics is unclear, as was pointed out in
https://mailarchive.ietf.org/arch/msg/dnsop/PAiQOsYfYQHrL7SeGWZn-jtJrTs
and elsewhere during WGLC.

Personally I think that omiting forwaring is a major mistake because the EDE code is most useful for diagnostics when forwarding is taking place!

2. Second problem is that it is uncelar if there is going to be a consumer: Did *anyone* from stub resolvers said a word about this draft? Is it useful as it is? Is there an experimental implementation in stub to consume this information?
dnsop has history of tweaks which never get used by stubs, and this draft in particular is very expensive to implement in resolver code.

Besides technical points above I oppose publishing this as standards-track document before it is fully implementated at least once. Previous implementation excercise at IETF 104 hackaton uncovered nasty corner cases and significantly influenced the draft (removal of rcode field etc.). It would be mistake to publish it without re-implementing it again before publication, we might find other significant problems.

Thank you.
Petr Špaček  @  CZ.NIC

> 
> I'll confirm with the authors and finish the shepherd write up
> 
> Tim
> 
> On Mon, Sep 30, 2019 at 5:07 PM Wes Hardaker <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Vittorio Bertola <[email-masked] <mailto:[email-masked]>> writes:
> 
>     > > Il 28 settembre 2019 01:41 Wes Hardaker <[email-masked] <mailto:[email-masked]>> ha scritto:
>     > >
>     > >   + Response: Those three codes were supplied in a previous comment
>     > >     round and they are supposed to indicate policies being applied from
>     > >     different sources.  Can you check the new text of them to see if
>     > >     they are more understandable now?
>     >
>     > I think there was an editorial glitch, so now you have two errors #17
>     > and no #18 - 3.19 should become #18 again.
> 
>     Yep, fixed.  Thanks.
> 
>     -- 
>     Wes Hardaker
>     USC/ISI
> 
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>